Bug 495603 - Kernel warning: Your BIOS is broken; DMAR reported at address zero!
Kernel warning: Your BIOS is broken; DMAR reported at address zero!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 21:22 EDT by Gustavo Maciel Dias Vieira
Modified: 2012-11-11 21:48 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 13:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Maciel Dias Vieira 2009-04-13 21:22:59 EDT
Description of problem:
I've got the follwing warning, after upgrading the kernel from rawhide:

DMAR:Host address width 36
DMAR:DRHD (flags: 0x00000001)base: 0x0000000000000000
------------[ cut here ]------------
WARNING: at drivers/pci/dmar.c:182 dmar_table_init+0x144/0x2bf() (Not tainted)
Hardware name: HP Pavilion dv4                 
Your BIOS is broken; DMAR reported at address zero!
BIOS vendor: Hewlett-Packard; Ver: F.24; Product Version: F.24
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.29.1-68.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104aae7>] warn_slowpath+0xbc/0xf0
 [<ffffffff8104b0bc>] ? release_console_sem+0x1c1/0x1f6
 [<ffffffff8164576e>] ? pci_iommu_init+0x0/0x21
 [<ffffffff813aa67e>] ? printk+0x41/0x43
 [<ffffffff8164576e>] ? pci_iommu_init+0x0/0x21
 [<ffffffff81661ba2>] dmar_table_init+0x144/0x2bf
 [<ffffffff8164576e>] ? pci_iommu_init+0x0/0x21
 [<ffffffff816621ac>] intel_iommu_init+0x16/0x801
 [<ffffffff8100e967>] ? xen_debugfs_create_u32_array+0x5f/0x6a
 [<ffffffff8164576e>] ? pci_iommu_init+0x0/0x21
 [<ffffffff8164577c>] pci_iommu_init+0xe/0x21
 [<ffffffff8100a05b>] do_one_initcall+0x5b/0x142
 [<ffffffff81090a80>] ? register_irq_proc+0xb3/0xcf
 [<ffffffff81110000>] ? load_elf_binary+0xb91/0x165d
 [<ffffffff8163b750>] kernel_init+0x1d6/0x22e
 [<ffffffff810126ca>] child_rip+0xa/0x20
 [<ffffffff81011fe7>] ? restore_args+0x0/0x30
 [<ffffffff8163b57a>] ? kernel_init+0x0/0x22e
 [<ffffffff810126c0>] ? child_rip+0x0/0x20
---[ end trace 4eaa2a86a8e2da22 ]---


Version-Release number of selected component (if applicable):
kernel-2.6.29.1-68.fc11.x86_64

How reproducible:
Every boot


Additional info:
Wasn't present in kernel-2.6.29.1-54.fc11.x86_64
Comment 1 Chuck Ebbert 2009-04-14 09:48:50 EDT
It means just what it says (the warning was just added recently.)  Report it to HP.
Comment 2 Gustavo Maciel Dias Vieira 2009-04-14 10:01:30 EDT
While I wait for the Linux loving guys at HP to fix it, is there a way to silence or ignore the warning? Or at least, make it not look like a kernel oops that is picked by kerneloops on my desktop?
Comment 3 Chuck Ebbert 2009-04-15 10:25:48 EDT
(In reply to comment #2)
> While I wait for the Linux loving guys at HP to fix it, is there a way to
> silence or ignore the warning? Or at least, make it not look like a kernel oops
> that is picked by kerneloops on my desktop?  

You can disable the iommu by adding 'intel_iommu=off' to the boot options.
Comment 4 Gustavo Maciel Dias Vieira 2009-07-07 14:49:12 EDT
Even with 'intel_iommu=off' in the boot options, confirmed by "Intel-IOMMU: disabled" in dmesg, the warning still appears. As far as I know, my CPU does not have any type of virtual machine support (I wish it had...).

Current kernel: 2.6.29.5-191.fc11.x86_64

Any other workaround?
Comment 5 Peter Larsen 2009-11-19 18:28:19 EST
Getting the same error on a Dell. Did not get this error with the F11 kernel (only is F12).
Comment 6 devin 2009-12-29 00:24:57 EST
I have an Acer Aspire 1410-2285 notebook and also have to add the intel_iommu=off to boot. I keep getting the same alert message as everyone else.

Kernel warning: Your BIOS is broken; DMAR reported at address zero!
Comment 7 Sid Wilroy 2010-02-15 09:03:08 EST
Same kind of error on HP notebook - I wonder if I disable 
intel_iomm if will have any effect on KVM?

WARNING: at drivers/pci/dmar.c:598 check_zero_address+0x96/0x19b() (Not tainted)
Hardware name: HP EliteBook 8530p
Your BIOS is broken; DMAR reported at address zero!
BIOS vendor: Hewlett-Packard; Ver: 68PDV Ver. F.0F; Product Version: F.0F
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.31.12-174.2.3.fc12.x86_64 #1
Call Trace:
[<ffffffff81051710>] warn_slowpath_common+0x84/0x9c
[<ffffffff81423973>] ? _etext+0x0/0x1
[<ffffffff8105177f>] warn_slowpath_fmt+0x41/0x43
[<ffffffff8173e7fe>] check_zero_address+0x96/0x19b
[<ffffffff81262181>] ? acpi_tb_verify_table+0x57/0x5c
[<ffffffff812617df>] ? acpi_get_table_with_size+0x5a/0xb4
[<ffffffff81423973>] ? _etext+0x0/0x1
[<ffffffff8173e915>] detect_intel_iommu+0x12/0x8c
[<ffffffff8171dbc3>] pci_iommu_alloc+0x5e/0x6c
[<ffffffff8172d1a8>] mem_init+0x19/0x161
[<ffffffff81716be3>] start_kernel+0x20b/0x3fa
[<ffffffff817162a1>] x86_64_start_reservations+0xac/0xb0
[<ffffffff8171639d>] x86_64_start_kernel+0xf8/0x107
Comment 8 Stephen J. Gowdy 2010-09-02 09:01:51 EDT
BTW, I had this error but if I turn on VMX in the BIOS on my HP EliteBook 6930p it goes away.
Comment 9 Stanislaw Gruszka 2010-10-01 13:33:02 EDT
Warnings are about BIOS bug not kernel.
Comment 10 ardisia 2012-11-11 21:48:46 EST
same warning messages for my HP-DC7800 , CentOS 6.2 (2.6.32-279.el6.x86_64 #1 SMP)
but it disappears after I switch on the virturalization option in BIOS
(get into BIOS
Security > System Security, and enable 
Virtualization Technology (VTx)and Virtualization Technology Directed I/O (VTd)


After reboot, warning messages disappear.

Note You need to log in before you can comment on or make changes to this bug.